Přejít na obsah

Isaac 0.1

Integrace

ID modelu perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tento požadavek: ≈0,001 $ 1 kredit API Spustit na této stránce

Získat API klíč
Perceptron Vize #multimodal#vision

Vizuálně-jazykový model, který odpovídá na otázky o obrázku jako text, rámečky, body nebo polygony

Perceptron · Text

Zde se zobrazí váš první výsledek

Níže sestavte požadavek a spusťte ho pomocí svého API klíče. Výstupy se kopírují do našeho úložiště a uchovávají se navždy nebo 7 dne zdarma.

Sestavit požadavek

Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.

•povinné

Prompt použitý na obrázek.

•povinné image_url
Přetáhněte soubor nebo

URL identifikující obrázek ke zpracování.

Pokročilé response_style
response_style výchozí text

Zvolte formát odpovědi obrázku: všechny režimy obsahují text, přičemž box přidává ohraničovací rámečky, point body a polygon polygony; samotný text vrací pouze text. Pro podrobnou segmentaci použijte polygon nebo pro lokalizaci box. Pro popisy a titulky použijte text; pro počítání mnoha objektů point.

POST /run/perceptron/isaac-01?wait=20 cena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Spustit tento požadavek

Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API

O modelu Isaac 0.1

Přijímá `image_url` a `prompt` a vrací odpověď ve formátu nastaveném pomocí `response_style`. Text je vhodný pro popisky a popisy, zatímco styly box, point a polygon přidávají lokalizační výstup. Výsledek obsahuje vygenerovaný výstup, příznak neúplného výstupu, případnou chybovou zprávu a informace o využití.

Parametry

Odešlete buď kanonický název, nebo nativní název, ne oba. Kanonické názvy

NázevTyp VýchozíPovolené Popis
image_urlpovinné image
Typurl · image
URL identifikující obrázek ke zpracování.
promptpovinné
Typstring
Prompt použitý na obrázek.
response_stylevolitelné
Typenum
Výchozítext
textboxpointpolygon
Zvolte formát odpovědi obrázku: všechny režimy obsahují text, přičemž box přidává ohraničovací rámečky, point body a polygon polygony; samotný text vrací pouze text. Pro podrobnou segmentaci použijte polygon nebo pro lokalizaci box. Pro popisy a titulky použijte text; pro počítání mnoha objektů point.
povinné Kanonický název, také podporován

Parametry souborů přijímají veřejnou adresu https:// URL, data: URI do 10 MB nebo file_url nahraného souboru. Soubory

Výstup

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše soubory, vaše volbaKaždý outputs[].url je kopie v našem úložišti: uchovávaná navždy (zpoplatněná za GB-měsíc) nebo 7 dne zdarma podle nastavení účtu nebo ?storage=.
Stejná struktura u každého modelutype, url, content_type, width, height a duration pro obrázky, video i zvuk. output je vlastní objekt výsledku modelu.
Pole výstupu
output
stringVýsledek vytvořený modelem.
partial
booleanUrčuje, zda je výstup neúplný.
error
string | nullZpráva popisující chybu, pokud k ní došlo.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullPodrobnosti o využití.

Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/perceptron/isaac-01.md. Všechny modely a návody: https://doitong.com/developers/llms.txt